# DataExchange
TKXSBase
RWHeaderSection

# RWHeaderSection_ReadWriteModule Class Reference

General module to read and write HeaderSection entities
.

`#include <RWHeaderSection_ReadWriteModule.hxx>`

Inheritance diagram for RWHeaderSection_ReadWriteModule:

[legend]

## Public Member Functions

Standard_EXPORT | RWHeaderSection_ReadWriteModule ()
Standard_EXPORT Standard_Integer | CaseStep (const TCollection_AsciiString &atype) const
| associates a positive Case Number to each type of HeaderSection entity, given as a String defined in the EXPRESS form
virtual Standard_EXPORT Standard_Integer | CaseStep (const TColStd_SequenceOfAsciiString &types) const
| associates a positive Case Number to each type of HeaderSection Complex entity, given as a String defined in the EXPRESS form
virtual Standard_EXPORT Standard_Boolean | IsComplex (const Standard_Integer CN) const
| returns True if the Case Number corresponds to a Complex Type
Standard_EXPORT const TCollection_AsciiString & | StepType (const Standard_Integer CN) const
| returns a StepType (defined in EXPRESS form which belongs to a Type of Entity, identified by its CaseNumber determined by Protocol
Standard_EXPORT void | ReadStep (const Standard_Integer CN, const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(Standard_Transient)&ent) const
| Specific Read Function. Works with StepReaderData .
Standard_EXPORT void | WriteStep (const Standard_Integer CN, StepData_StepWriter &SW, const Handle(Standard_Transient)&ent) const
| Write Function, switched by CaseNum .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT RWHeaderSection_ReadWriteModule::RWHeaderSection_ReadWriteModule | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer RWHeaderSection_ReadWriteModule::CaseStep | ( | const TColStd_SequenceOfAsciiString & | types | ) | const`[virtual]`

| Reimplemented from StepData_ReadWriteModule.

Standard_EXPORT Standard_Integer RWHeaderSection_ReadWriteModule::CaseStep | ( | const TCollection_AsciiString & | atype | ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

Standard_EXPORT const RWHeaderSection_ReadWriteModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_ReadWriteModule.

virtual Standard_EXPORT Standard_Boolean RWHeaderSection_ReadWriteModule::IsComplex | ( | const Standard_Integer | CN | ) | const`[virtual]`

| Reimplemented from StepData_ReadWriteModule.

Standard_EXPORT void RWHeaderSection_ReadWriteModule::ReadStep | ( | const Standard_Integer | CN,
|  | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(Standard_Transient)& | ent
| ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

Standard_EXPORT const TCollection_AsciiString& RWHeaderSection_ReadWriteModule::StepType | ( | const Standard_Integer | CN | ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

Standard_EXPORT void RWHeaderSection_ReadWriteModule::WriteStep | ( | const Standard_Integer | CN,
|  | StepData_StepWriter & | SW,
|  | const Handle(Standard_Transient)& | ent
| ) | const`[virtual]`

| Implements StepData_ReadWriteModule.

The documentation for this class was generated from the following file:

- RWHeaderSection_ReadWriteModule.hxx